<%= form_with(model: @book, local: true) do |f| %>
  <div class="form-group">
    <%= render "shared/errors", object: @book %>
    <table class="table" style="align-content: center" style="width: 1000px">
      <tr>
        <td style = "width: 100%">
          <%= f.label :title, "Cím" %><br>
          <%= f.text_field :title, autofocus: true, placeholder: "Cím", class: "form-control" %><br>
        </td>
      </tr>

      <tr>
        <td>
          <%= f.label :isbn, "ISBN" %><br>
          <%= f.text_field :isbn, placeholder: "ISBN", class: "form-control" %><br>
        </td>
      </tr>

      <tr>
        <td>
          <%= f.label :category, "Kategória" %><br>
          <%= f.text_field :category, placeholder: "Kategória", class: "form-control" %><br>
        </td>
      </tr>

      <tr>
        <td>
          <%= f.label :price, "Ár (HUF)" %><br>
          <%= f.number_field :price, placeholder: "Ár (HUF)", class: "form-control"%><br>
        </td>
      </tr>

      <tr>
        <td>
          <%= f.label :price, "Szerző neve" %><br>
          <%= f.collection_select :author_id, Author.all, :id, :full_author_name, { include_blank: 'Válasszon egy szerzőt!'}, { :class => 'form-control' }%><br>
        </td>
      </tr>

      <tr>
        <td>
          <%= f.label :price, "Kiadó neve" %><br>
          <%= f.collection_select :publisher_id, Publisher.all, :id, :full_publisher_name, { include_blank: 'Válasszon egy kiadót!'}, { :class => 'form-control' }%><br>
        </td>
      </tr>

      <tr>
        <td>
          <%= f.label :available, "Elérhető" %>
          <%= f.check_box :available, {}, "true", "false" %><br><br>
        </td>
      </tr>
    </table>
    <%= f.submit "Mentés", class: "btn btn-success" %>
    <%= link_to 'Mégsem', search_books_path, class: 'btn btn-danger' %>
    <div style="text-align: right; margin-top: -35px"> <%= link_to 'Vissza a kereséshez', search_books_path, class: 'btn btn-primary' %> </div>
  </div>
<% end %>
